NEOFEELS(1)

# NAME

neofeels - a next generation ttbp client

# DESCRIPTION

neofeels is a rewrite of feels, the tilde town blogging platform.

neofeels runs from the command line, providing a hub for writing personal blog
posts and reading posts written by other users of tilde.town. it's a little bit
like livejournal or dreamwidth or tumblr. you can opt to publish your posts to
a public html file hosted on your tilde page, to tilde.town's gopher server, or
keep all your entries private to the tilde.town server.

much like the original feels, this is a project that runs on tilde.town, so
all users of this program are expected to operate under the tilde.town code of
conduct. content/personal issues should be worked out according to the CoC, with
support from the administrative team if needed.

## moving around

unlike the original feels, which was controlled via a number-based text
interface, neofeels uses a more modern interface that allows you to move your
cursor around. specific keybinds for each view are shown on the bottom of the
screen, but the general mapping below applies:

- ↑↓/kj to move up and down lists
- ↵/→/l to select an option
- ←/q/h to go back
- number keys to seek to an item in a list, starting at 0
- C-c/C-d to quit neofeels

## writing entries

entries are recorded as plaintext files in your _~/.ttbp/entries_ directory.
neofeels will use your _$EDITOR_ to open and write files; each day is its own
entry, like a diary page. at midnight for whatever timezone you've set for your
user account on tilde.town, you'll get a fresh entry. if you don't write any
feels on a particular day, no entries will show up there.

while the file itself is plaintext, you can use markdown or html to mark it up,
and this will be detected by both neofeels and the web interface. you can also
put things between html comments to hide them from being rendered, though they
will still be visible in plaintext:

	<!-- secret nuclear launch codes -->

when you save and quit the text editor, your entry will automatically propagate
to the global feels list; if you've opted to publish your feels to html/gopher,
those files will update immediately. you can always go back to any entry and
edit/add as you'd like.

## reading other feels

the *browse global feels* feature lists the most recent entries published to
feels. this list is only accessible from within tilde.town, although individual
entries may be posted to html or gopher.

you can also pull up a list of a single user's feels by clicking *check out your
neighbors*, which displays all users who are writing on ttbp based on their most
recently updated entry, and a link to their public html blog if they've opted to
publish their posts.

please note! entries written on ttbp should be considered sensitive, private
information, even if a particular user is publishing entries in a world-viewable
way! please be respectful about having access to other people's feels, and
do not copy/repeat any information without getting their explicit permission.
tilde.town operates on a high level of mutual trust, and ttbp is designed to
give individuals control over their content.

## privacy

when you start your ttbp, you have the option of publishing or not publishing
your blog.

if you opt to not publish, your entires will never be accessible from outside
of the tilde.town network; other tilde.town users will still be able to read
your entries through the ttbp interface, or by directly accessing your
_~/.ttbp/entries_ directory.

if you want to further protect your entries, you can _chmod 700_ your entries
directory.

if you opt to publish, the program creates a directory _~/.ttbp/www_ where it
stores all html files it generates, and symlinks this from your _~/public_html_
with your chosen blog directory. your blog will also be listed on the main ttbp
page.

you can also opt to publish to gopher, and the program will automatically
generate a gophermap of your feels.

you can set publishing status on individual entries, or bury individual feels;
see "data management" below for details.

## data management

the *manage your feels* menu provides several tools for organizing your feels.
these are all actions you can perform manually from the command line, but doing
them from within the program can help keep your files properly linked up.

- *read over feels*: a list of all your entries, which you can open and read
  like any other feel
- *modify feels publishing*: this lets you toggle privacy on individual posts.
  entries marked _nopub_ will not get written to html or gopher, and toggling
  them from this menu will immediately publish or unpublish that entry. this
  setting only matters if global publishing is enabled.
- *backup your feels*: creates a gzipped tarball of all your entries, saving one
  copy to _~/.ttbp/backups/_ with the current date, and a second copy to your
  home directory for safekeeping.
- *import a feels backup*: unpacks a backup file into your current feels list.
  this tool checks the _~/.ttbp/backups_ directory for archives, and expects a
  file created by the above backup utility. if it detects any file collisions,
  it will preserve your current live copy and leave the backup verison in a
  temporary directory, and notify you that this happened. any entries that were
  previously marked as _nopub_ will retain their nopub status.
- *bury some feels*: hides individual feels from viewing; entries are moved
  to _~/.ttbp/buried_, and marked with a unique timestamp to prevent file
  collision, with permissions set to 600, meaning no one except you will be
  able to open that file. these entries are also hidden from your own view from
  *read over feels*, and you'll have to open the files from the command line if
  you want to see them. this is intended to be a permanent action.
- *delete feels by day*: permanently removes individual entries, including
  deleting published html/gopher files if needed. this action is not
  recoverable, unless you have a backup to restore from.
- *purge all feels*: permanently removes all feels, including deleting all
  published html/gopher files if needed. this action is not recoverable, unless
  you have a backup to restore from.
- *wipe feels account*: permanently removes all data associated with feels,
  including deleting any published hmtl/gopher files and removing your _~/.ttbp_
  directory. any backups that you have in _~/.ttbp/backups_ will also be deleted
  with this action (which is why the backup function makes a second copy for
  safekeeping in your home directory). you will no longer show up in any lists
  as a user.

## settings

the *change your settings* menu lets you change specific options for handling
your feels.

- *gopher*: opt in or out of automatically posting to gopher
- *publishing*: opt in or out of automatically publishing entries to a
  world-readable html page
- *post as nopub*: set whether posts default to being published or not published
- *publish dir*: set the directory under your _public_html_ where feels will be
  published

## changing your page layout

you can modify how your html blog looks by editing the stylesheet or header and
footer files. the program sets you up with basic default. if you break your page
somehow, you can force the program to regenerate your configuration by deleting
your _~/.ttbp_ directory entirely. you might want to back up your
_~/.ttbp/entries_ directory before you do this.

- to modify your stylesheet, edit your _~/.ttbp/config/style.css_
- to modify the page header, edit your _~/.ttbp/config/header.txt_++
note: there's a place marked off in the default header where you can safely
put custom HTML elements!
- to modify the page footer, edit your _~/.ttbp/config/footer.txt_

# AUTHORS

neofeels was written by ~nbsp. ttbp was originally authored by ~endorphant.
support for neofeels is available by internal mail to nbsp@tilde.town or on the
irc channel #neofeels. source for neofeels is available at
https://git.tilde.town/nbsp/neofeels.
